<?xml version="1.0"?>
<!DOCTYPE PLAY SYSTEM "play.dtd">
<LogicalCameraCap>
    <tag key="HAL_CUSTOM_LOGICAL_CAMERA_CAPABILITY" type="int32_t">
        <defInfo>
            <captureSceneMode type="string2Enum">CAMERA_HW_SM_INVALID</captureSceneMode>
            <logicalCameraIndex>0</logicalCameraIndex>
            <deviceNum>1</deviceNum>
            <deviceinfo>
                <cameraId>0</cameraId>
                <isPrimaryCamera>1</isPrimaryCamera>
                <positionType>0</positionType>
            </deviceinfo>
            <deviceinfo>
                <cameraId>0</cameraId>
                <isPrimaryCamera>0</isPrimaryCamera>
                <positionType>0</positionType>
            </deviceinfo>
            <deviceinfo>
                <cameraId>0</cameraId>
                <isPrimaryCamera>0</isPrimaryCamera>
                <positionType>0</positionType>
            </deviceinfo>
            <deviceinfo>
                <cameraId>0</cameraId>
                <isPrimaryCamera>0</isPrimaryCamera>
                <positionType>0</positionType>
            </deviceinfo>
            <deviceinfo>
                <cameraId>0</cameraId>
                <isPrimaryCamera>0</isPrimaryCamera>
                <positionType>0</positionType>
            </deviceinfo>
            <deviceinfo>
                <cameraId>0</cameraId>
                <isPrimaryCamera>0</isPrimaryCamera>
                <positionType>0</positionType>
            </deviceinfo>
            <deviceinfo>
                <cameraId>0</cameraId>
                <isPrimaryCamera>0</isPrimaryCamera>
                <positionType>0</positionType>
            </deviceinfo>
            <deviceinfo>
                <cameraId>0</cameraId>
                <isPrimaryCamera>0</isPrimaryCamera>
                <positionType>0</positionType>
            </deviceinfo>
        </defInfo>
        <sceneDeviceInfo>
            <sceneDevice>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_NORMAL_CAPTURE</captureSceneMode>
                <logicalCameraIndex>6</logicalCameraIndex>
                <deviceNum>2</deviceNum>
                <deviceinfo>
                    <cameraId>5</cameraId>
                    <isPrimaryCamera>1</isPrimaryCamera>
                    <positionType>2</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>7</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>2</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
            </sceneDevice>
            <sceneDevice>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_BEAUTY</captureSceneMode>
                <logicalCameraIndex>6</logicalCameraIndex>
                <deviceNum>2</deviceNum>
                <deviceinfo>
                    <cameraId>5</cameraId>
                    <isPrimaryCamera>1</isPrimaryCamera>
                    <positionType>2</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>7</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>2</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
            </sceneDevice>
            <sceneDevice>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_PORTRAIT</captureSceneMode>
                <logicalCameraIndex>6</logicalCameraIndex>
                <deviceNum>2</deviceNum>
                <deviceinfo>
                    <cameraId>5</cameraId>
                    <isPrimaryCamera>1</isPrimaryCamera>
                    <positionType>2</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>7</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>2</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
            </sceneDevice>
            <sceneDevice>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_ULTRA_HIGH_RES</captureSceneMode>
                <logicalCameraIndex>1</logicalCameraIndex>
                <deviceNum>1</deviceNum>
                <deviceinfo>
                    <cameraId>5</cameraId>
                    <isPrimaryCamera>1</isPrimaryCamera>
                    <positionType>2</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
            </sceneDevice>
            <sceneDevice>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_NORMAL_VIDEO</captureSceneMode>
                <logicalCameraIndex>6</logicalCameraIndex>
                <deviceNum>2</deviceNum>
                <deviceinfo>
                    <cameraId>5</cameraId>
                    <isPrimaryCamera>1</isPrimaryCamera>
                    <positionType>2</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>7</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>2</positionType>
                </deviceinfo>
                 <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
            </sceneDevice>
            <sceneDevice>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_TIMELAPSE</captureSceneMode>
                <logicalCameraIndex>6</logicalCameraIndex>
                <deviceNum>2</deviceNum>
                <deviceinfo>
                    <cameraId>5</cameraId>
                    <isPrimaryCamera>1</isPrimaryCamera>
                    <positionType>2</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>7</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>2</positionType>
                </deviceinfo>
                 <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
            </sceneDevice>
            <sceneDevice>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_PANORAMA</captureSceneMode>
                <logicalCameraIndex>1</logicalCameraIndex>
                <deviceNum>1</deviceNum>
                <deviceinfo>
                    <cameraId>5</cameraId>
                    <isPrimaryCamera>1</isPrimaryCamera>
                    <positionType>2</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
            </sceneDevice>
            <sceneDevice>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_SLOW_MO</captureSceneMode>
                <logicalCameraIndex>1</logicalCameraIndex>
                <deviceNum>1</deviceNum>
                <deviceinfo>
                    <cameraId>5</cameraId>
                    <isPrimaryCamera>1</isPrimaryCamera>
                    <positionType>2</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                 <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
            </sceneDevice>
            <sceneDevice>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_NIGHT_SHOT</captureSceneMode>
                <logicalCameraIndex>1</logicalCameraIndex>
                <deviceNum>1</deviceNum>
                <deviceinfo>
                    <cameraId>5</cameraId>
                    <isPrimaryCamera>1</isPrimaryCamera>
                    <positionType>2</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
            </sceneDevice>
            <sceneDevice>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_MOVING_PICTURE</captureSceneMode>
                <logicalCameraIndex>6</logicalCameraIndex>
                <deviceNum>2</deviceNum>
                <deviceinfo>
                    <cameraId>5</cameraId>
                    <isPrimaryCamera>1</isPrimaryCamera>
                    <positionType>2</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>7</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>2</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
            </sceneDevice>
            <sceneDevice>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_WATER_MARK</captureSceneMode>
                <logicalCameraIndex>6</logicalCameraIndex>
                <deviceNum>2</deviceNum>
                <deviceinfo>
                    <cameraId>5</cameraId>
                    <isPrimaryCamera>1</isPrimaryCamera>
                    <positionType>2</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>7</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>2</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
            </sceneDevice>
            <sceneDevice>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_PORTRAIT_SLOW_SHUTTER</captureSceneMode>
                <logicalCameraIndex>6</logicalCameraIndex>
                <deviceNum>2</deviceNum>
                <deviceinfo>
                    <cameraId>5</cameraId>
                    <isPrimaryCamera>1</isPrimaryCamera>
                    <positionType>2</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>7</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>2</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
            </sceneDevice>
            <sceneDevice>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_STORY_MODE</captureSceneMode>
                <logicalCameraIndex>6</logicalCameraIndex>
                <deviceNum>2</deviceNum>
                <deviceinfo>
                    <cameraId>5</cameraId>
                    <isPrimaryCamera>1</isPrimaryCamera>
                    <positionType>2</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>7</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>2</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
            </sceneDevice>
        </sceneDeviceInfo>
    </tag>
</LogicalCameraCap>
